DCMTK: dcmsr/include/dcmtk/dcmsr/dsrscogr.h File Reference

DCMTK Version 3.7.0 OFFIS DICOM Toolkit

Loading...
Searching...
No Matches
Classes | Functions
dsrscogr.h File Reference

definitions for class DSRGraphicDataItem More...

## Classes
class | DSRGraphicDataItem
| Class for graphic data items. More...
class | DSRGraphicDataList
| Class for graphic data lists. More...

## Functions
DCMTK_DCMSR_EXPORT OFBool | operator== (const DSRGraphicDataItem &lhs, const DSRGraphicDataItem &rhs)
| equality operator.
DCMTK_DCMSR_EXPORT OFBool | operator!= (const DSRGraphicDataItem &lhs, const DSRGraphicDataItem &rhs)
| inequality operator.
DCMTK_DCMSR_EXPORT OFBool | operator< (const DSRGraphicDataItem &lhs, const DSRGraphicDataItem &rhs)
| less-than operator.
DCMTK_DCMSR_EXPORT OFBool | operator> (const DSRGraphicDataItem &lhs, const DSRGraphicDataItem &rhs)
| greater-than operator.

## Detailed Description

definitions for class DSRGraphicDataItem

## Function Documentation

## ◆ operator!=()

DCMTK_DCMSR_EXPORT OFBool operator!= | ( | const DSRGraphicDataItem & | lhs,
|  | const DSRGraphicDataItem & | rhs )

inequality operator.

Internally, the DSRGraphicDataItem::isNotEqual() method is used.

Parameters

  lhs | left-hand side
  rhs | right-hand side

Returns
  OFTrue if 'lhs' and 'rhs' are not equal, OFFalse otherwise

## ◆ operator<()

DCMTK_DCMSR_EXPORT OFBool operator< | ( | const DSRGraphicDataItem & | lhs,
|  | const DSRGraphicDataItem & | rhs )

less-than operator.

Internally, the DSRGraphicDataItem::isLessThan() method is used.

Parameters

  lhs | left-hand side
  rhs | right-hand side

Returns
  OFTrue if 'lhs' is less than 'rhs', OFFalse otherwise

## ◆ operator==()

DCMTK_DCMSR_EXPORT OFBool operator== | ( | const DSRGraphicDataItem & | lhs,
|  | const DSRGraphicDataItem & | rhs )

equality operator.

Internally, the DSRGraphicDataItem::isEqual() method is used.

Parameters

  lhs | left-hand side
  rhs | right-hand side

Returns
  OFTrue if 'lhs' and 'rhs' are equal, OFFalse otherwise

## ◆ operator>()

DCMTK_DCMSR_EXPORT OFBool operator> | ( | const DSRGraphicDataItem & | lhs,
|  | const DSRGraphicDataItem & | rhs )

greater-than operator.

Internally, the DSRGraphicDataItem::isGreaterThan() method is used.

Parameters

  lhs | left-hand side
  rhs | right-hand side

Returns
  OFTrue if 'lhs' is greater than 'rhs', OFFalse otherwise

Generated on for DCMTK Version 3.7.0 by Doxygen 1.16.1